> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionelectricity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get consumptionmonth



## OpenAPI

````yaml /openapi-v2.json get /consumption/month/{id}
openapi: 3.0.1
info:
  title: iON Intelligent Electricity API v2
  version: 1.0.0
  description: Generated by SOFA
  contact:
    name: iON Support
    email: support@ionelectricity.com
servers:
  - url: https://api.ionelectricity.com/v2
    description: Production Server
security: []
paths:
  /consumption/month/{id}:
    get:
      tags:
        - Time-Series
      operationId: getConsumptionByMonthDataModel_query
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: time
          in: query
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsumptionByMonthDataModel'
components:
  schemas:
    ConsumptionByMonthDataModel:
      type: object
      required:
        - id
        - time
        - createdAt
        - updatedAt
        - _version
        - _lastChangedAt
      properties:
        id:
          type: string
        time:
          type: integer
          format: int32
        importKWh:
          type: number
          format: float
        import0KWh:
          type: number
          format: float
        import1KWh:
          type: number
          format: float
        import2KWh:
          type: number
          format: float
        exportKWh:
          type: number
          format: float
        version:
          type: integer
          format: int32
        createdAt:
          type: object
        updatedAt:
          type: object
        _version:
          type: integer
          format: int32
        _deleted:
          type: boolean
        _lastChangedAt:
          type: object

````